SOURCES: PyMSNt.init (NEW) - init, NFY!

djrzulf djrzulf at pld-linux.org
Sat Aug 18 22:08:33 CEST 2007


Author: djrzulf                      Date: Sat Aug 18 20:08:33 2007 GMT
Module: SOURCES                       Tag: HEAD
---- Log message:
- init, NFY!

---- Files affected:
SOURCES:
   PyMSNt.init (NONE -> 1.1)  (NEW)

---- Diffs:

================================================================
Index: SOURCES/PyMSNt.init
diff -u /dev/null SOURCES/PyMSNt.init:1.1
--- /dev/null	Sat Aug 18 22:08:33 2007
+++ SOURCES/PyMSNt.init	Sat Aug 18 22:08:27 2007
@@ -0,0 +1,61 @@
+#!/bin/sh
+# Jabber GaduGadu transport
+#
+# chkconfig:	345 85 05
+# description:	Jabber GaduGadu transport
+
+# Source function library
+. /etc/rc.d/init.d/functions
+
+# Get network config
+. /etc/sysconfig/network
+
+# Check that networking is up.
+if is_yes "${NETWORKING}"; then
+	if [ ! -f /var/lock/subsys/network -a "$1" != stop -a "$1" != status ]; then
+		msg_network_down pyMSNt
+		exit 1
+	fi
+else
+	exit 0
+fi
+
+RETVAL=0
+# See how we were called.
+case "$1" in
+  start)
+	# Check if the service is already running?
+	if [ ! -f /var/lock/subsys/PyMSNt ]; then
+		msg_starting "Jabber MSN transport"
+		daemon PyMSNt -c /etc/jabber/PyMSNt.xml
+		RETVAL=$?
+		[ $RETVAL -eq 0 ] && touch /var/lock/subsys/PyMSNt
+	else
+		msg_already_running pyMSNt
+	fi
+	;;
+  stop)
+	# Check if the service is already running?
+	if [ -f /var/lock/subsys/PyMSNt ]; then
+		msg_stopping  "Jabber MSN transport"
+		killproc PyMSNt
+		rm -f /var/lock/subsys/PyMSNt
+	else
+		msg_not_running PyMSNt
+	fi
+	;;
+  restart|force-reload)
+	$0 stop
+	$0 start
+	exit $?
+	;;
+  status)
+	status PyMSNt
+	exit $?
+	;;
+  *)
+	msg_usage "$0 {start|stop|restart|force-reload|status}"
+	exit 3
+esac
+
+exit $RETVAL
================================================================


More information about the pld-cvs-commit mailing list